.socialmedia_div {
    display: flex;
    justify-content: center;
    padding: 20px;
}

/* .socialmedia {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
    gap: 20px;
    max-width: 800px;
    width: 100%;
} */

.socialmedia a {
    border-radius: 15px;
    padding: 20px;
    text-align: center;
    text-decoration: none;
    color: #000;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    transition: 0.3s;
}

.socialmedia a:hover {
    transform: translateY(-6px);
}

.socialmedia img {
    width: 60px;
    height: 60px;
    margin-bottom: 10px;
}

.social-icon {
    display: flex;
    justify-content: center;
    align-items: center;
}

.social-link {
    display: flex;
    justify-content: center;
    align-items: center;
   /*  margin-bottom: 10px; */
}

@media (max-width: 400px) {
    .socialmedia {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 10px;
        margin: 10px;
    }

    .h3 {
        font-size: 10px;
    }

    .socialmedia img {
        width: 30px;
        height: 30px;
    }
}